Subject: Re: Re: LINK update

From: Marie-Jose Montpetit <[email-masked]>
Date: Fri, 6 Jul 2001 5:17:28 -0500

I agree with Phil that this idea of "interlayer" communication maybe needed but probably not in the context of the LINK draft. It is still pretty controversial as in a way violates the accepted layered concept. Maybe we want just to add a sentence in the draft along the following:

" Link designers should be aware that QoS markings at the IP level could be used to drive MAC/LLC protocols and even FEC levels to ensure that the packet is handled properly. DUe to the large amount of potential links covered in this draft it is however impossible to list all possible solution. However, advances in adaptative coding and variable modulation may make this "interlayer" communication part of design pratices in the future."

Or something like that.

Marie-Jose
> 
> From: Phil Karn <[email-masked]>
> Date: Thu, 5 Jul 2001 13:21:00 -0700 (PDT)
> To: [email-masked]
> CC: [email-masked]
> Subject: Re: LINK update
> 
> >and there are a few competing ideas.  However, one thing seems to be
> >missing to me, a "standardized method" to tie IP layer QoS to MAC
> >protocol layer (or link layer) QoS mechanisms.  I feel that this
> >linkage is critical and the ability to support a variety of radio
> >technologies with the top of the MAC sublayer or Link layer hiding the
> >specifics of the MAC's own QoS techniques.  I realize
> 
> I absolutely agree, and there is text in the current draft that
> encourages subnetwork designers to make these hooks available to
> IP. But I'm not sure they're amenable to standardization, because
> every subnetwork is different. Also, LINK is meant to reflect best
> current practice, not plow new ground.
> 
> Given that, is there any text you'd like to suggest be added?
> 
> Phil
> 
>